de.dhbwstuttgart.syntaxtree.statement

## Class EmptyStmt

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.EmptyStmt

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class EmptyStmt
    extends Statement

### Field Summary

Fields
`protected static Logger` `parserlog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`EmptyStmt()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Menge<SyntaxTreeNode>` `getChildren()`
`int` `getTypeLineNumber()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`ConstraintsSet` `TYPEStmt(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### EmptyStmt

    public EmptyStmt()

### Method Detail

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

#### TYPEStmt

    public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

Specified by:
  `TYPEStmt` in class `Statement`

#### getTypeLineNumber

    public int getTypeLineNumber()

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`